package com.ruoyi.dz.service;

import java.util.List;
import com.ruoyi.dz.domain.DzSubject;

/**
 * 科目Service接口
 * 
 * @author ruoyi
 * @date 2025-09-27
 */
public interface IDzSubjectService 
{
    List<DzSubject> selectDzSubjectBySubjectIds(Long[] subjectIds);

    /**
     * 查询科目
     * 
     * @param subjectId 科目主键
     * @return 科目
     */
    public DzSubject selectDzSubjectBySubjectId(Long subjectId);

    /**
     * 查询科目列表
     * 
     * @param dzSubject 科目
     * @return 科目集合
     */
    public List<DzSubject> selectDzSubjectList(DzSubject dzSubject);

    /**
     * 新增科目
     * 
     * @param dzSubject 科目
     * @return 结果
     */
    public int insertDzSubject(DzSubject dzSubject);

    /**
     * 修改科目
     * 
     * @param dzSubject 科目
     * @return 结果
     */
    public int updateDzSubject(DzSubject dzSubject);

    /**
     * 批量删除科目
     * 
     * @param subjectIds 需要删除的科目主键集合
     * @return 结果
     */
    public int deleteDzSubjectBySubjectIds(Long[] subjectIds);

    /**
     * 删除科目信息
     * 
     * @param subjectId 科目主键
     * @return 结果
     */
    public int deleteDzSubjectBySubjectId(Long subjectId);
}
